package com.gqy.web.controller.document;

import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.vo.PageResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;


/**
 * 产品信息Controller
 *
 * @author raycos
 */
@RestController
@RequestMapping("/product")
public class ProductController {

    @PostMapping("/search")
    public AjaxResultCQY search(HttpServletRequest request) {
        return AjaxResultCQY.success("查询成功", new PageResult());
    }
}
