package com.gqy.common.core.page.gqy;

import com.gqy.common.core.text.Convert;
import com.gqy.common.utils.ServletUtils;

public class TableSupportGQY {

    /**
     * 当前记录起始索引
     */
    public static final String PAGE_NUM = "page";

    /**
     * 每页显示记录数
     */
    public static final String PAGE_SIZE = "pageSize";


    /**
     * 封装分页对象
     */
    public static PageDomainGQY getPageDomain()
    {
        PageDomainGQY pageDomain = new PageDomainGQY();
        pageDomain.setPage(Convert.toInt(ServletUtils.getParameter(PAGE_NUM), 1));
        pageDomain.setPageSize(Convert.toInt(ServletUtils.getParameter(PAGE_SIZE), 10));
        return pageDomain;
    }

    public static PageDomainGQY buildPageRequest()
    {
        return getPageDomain();
    }


}
