package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 产品对象
 */
public class Product {
    private Integer id;
    private Integer category_id;
    private Integer brand_id;
    private Integer supplier_id;
    private String name;
    private String intro;
    private BigDecimal price;
    private String product_area;
    private Integer is_safe;
    private String safe_time;
    private Integer is_package;
    private String package_intro;
    private String qualifications;
    private String attrs;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;
    private Integer status;

    private ProductCategory category;
    private Brand brand;
    private Supplier supplier;
    private List<Integer> link_doc;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Integer category_id) {
        this.category_id = category_id;
    }

    public Integer getBrand_id() {
        return brand_id;
    }

    public void setBrand_id(Integer brand_id) {
        this.brand_id = brand_id;
    }

    public Integer getSupplier_id() {
        return supplier_id;
    }

    public void setSupplier_id(Integer supplier_id) {
        this.supplier_id = supplier_id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getProduct_area() {
        return product_area;
    }

    public void setProduct_area(String product_area) {
        this.product_area = product_area;
    }

    public Integer getIs_safe() {
        return is_safe;
    }

    public void setIs_safe(Integer is_safe) {
        this.is_safe = is_safe;
    }

    public String getSafe_time() {
        return safe_time;
    }

    public void setSafe_time(String safe_time) {
        this.safe_time = safe_time;
    }

    public Integer getIs_package() {
        return is_package;
    }

    public void setIs_package(Integer is_package) {
        this.is_package = is_package;
    }

    public String getPackage_intro() {
        return package_intro;
    }

    public void setPackage_intro(String package_intro) {
        this.package_intro = package_intro;
    }

    public String getQualifications() {
        return qualifications;
    }

    public void setQualifications(String qualifications) {
        this.qualifications = qualifications;
    }

    public String getAttrs() {
        return attrs;
    }

    public void setAttrs(String attrs) {
        this.attrs = attrs;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public ProductCategory getCategory() {
        return category;
    }

    public void setCategory(ProductCategory category) {
        this.category = category;
    }

    public Brand getBrand() {
        return brand;
    }

    public void setBrand(Brand brand) {
        this.brand = brand;
    }

    public Supplier getSupplier() {
        return supplier;
    }

    public void setSupplier(Supplier supplier) {
        this.supplier = supplier;
    }

    public List<Integer> getLink_doc() {
        return link_doc;
    }

    public void setLink_doc(List<Integer> link_doc) {
        this.link_doc = link_doc;
    }
}
