package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gqy.common.core.domain.entity.SysUser;

import java.util.Date;
import java.util.List;

public class Project {
    private Integer id;
    private String name;
    private String intro;
    private Long user_id;
    private Integer category_id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;
    private Integer status;

    private ProjectCategory category;
    private SysUser user;
    private List<Integer> link_doc;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public Integer getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Integer category_id) {
        this.category_id = category_id;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public ProjectCategory getCategory() {
        return category;
    }

    public void setCategory(ProjectCategory category) {
        this.category = category;
    }

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public List<Integer> getLink_doc() {
        return link_doc;
    }

    public void setLink_doc(List<Integer> link_doc) {
        this.link_doc = link_doc;
    }
}
