package com.gqy.document.mapper;

import com.gqy.document.domain.Work;
import java.util.List;
/**
 * 工程Mapper接口
 */
public interface WorkMapper {
    /**
     * 查询工程列表
     */
    public List<Work> selectWorkList(Work work);

    /**
     * 新增工程
     */
    public int insertWork(Work work);

    /**
     * 修改工程
     */
    public int updateWork(Work work);

    /**
     * 查询工程详细信息
     *
     * @param wkId 工程主键
     * @return 工程信息
     */
    public Work selectWorkById(Long wkId);
}