package com.gqy.document.service;

import com.gqy.document.domain.DocumentCategory;
import com.gqy.document.domain.vo.PageResult;

public interface IDocumentCategoryService {
    /**
     * 搜索文档分类列表
     *
     * @param page 页码
     * @param pageSize 每页数量
     * @param category 查询条件对象
     * @return PageResult 分页结果对象
     */
    PageResult search(Integer page, Integer pageSize, DocumentCategory category);
}
