package com.gqy.document.service;


import com.gqy.document.domain.TemplateCategory;

import java.util.List;

/**
 * 模板分类Service接口
 */
public interface ITemplateCategoryService {

    /**
     * 查询顶级分类列表
     */
    public List<TemplateCategory> selectTopCategoryList(String name, Integer status);

    /**
     * 查询子分类列表
     */
    public List<TemplateCategory> selectChildCategoryList(String parentId);

    /**
     * 查询子分类数量
     */
    public int selectChildCount(Integer categoryId);

}
