package com.gqy.document.service.impl;

import com.gqy.document.domain.Formula;
import com.gqy.document.mapper.FormulaMapper;
import com.gqy.document.service.IFormulaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FormulaServiceImpl implements IFormulaService {

    @Autowired
    private FormulaMapper formulaMapper;

    /**
     * 查询公式列表
     */
    public List<Formula> search(Formula formula) {
        return formulaMapper.selectFormulaList(formula);
    }
}
