package com.gqy.web.controller.document;


import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.vo.PageResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 用户控制Controller
 *
 */
@RestController
@RequestMapping("/user")
public class DcUserController {

    /**
     * 用户登录 显示
     * @param request
     */
    @PostMapping("/current")
    @ResponseBody
    public AjaxResultCQY current(HttpServletRequest request){
        return AjaxResultCQY.success("查询成功", new PageResult());
    }

}
