package com.gqy.common.utils;

import com.github.pagehelper.PageHelper;
import com.gqy.common.core.page.gqy.PageDomainGQY;
import com.gqy.common.core.page.gqy.TableSupportGQY;

import java.util.Map;

/**
 * 分页工具类
 * 
 * @author raycos
 */
public class PageUtilsGQY extends PageHelper
{
    /**
     * 设置请求分页数据
     */
    public static PageDomainGQY startPageGQY(Map params)
    {
        PageDomainGQY pageDomain = TableSupportGQY.buildPageRequest();
        Integer pageNum =  Integer.valueOf((String) params.get("page"));
        Integer pageSize = Integer.valueOf((String) params.get("pageSize"));
        PageHelper.startPage(pageNum, pageSize);
        return  pageDomain;
    }

    /**
     * 清理分页的线程变量
     */
    public static void clearPage()
    {
        PageHelper.clearPage();
    }
}
