package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class Formula {
    /** 主键ID */
    private Long id;

    /** 公式名称 */
    private String name;

    /** 公式内容 */
    private String formula;

    /** 公式介绍 */
    private String intro;

    /** 使用状态 (5-已用中 6-未使用) */
    private Integer use_status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;

    /** 公式参数 */
    private String params;

    /** 小数点标识 */
    private Integer point;

    /** 状态 (5-使用中 4-已删除) */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Integer getUse_status() {
        return use_status;
    }

    public void setUse_status(Integer use_status) {
        this.use_status = use_status;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public Integer getPoint() {
        return point;
    }

    public void setPoint(Integer point) {
        this.point = point;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
