package com.gqy.document.domain;

import com.alibaba.fastjson2.JSON;
import com.gqy.common.annotation.Excel;

import javax.validation.constraints.NotNull;

public class Work {

    private Long wkId;

    /** 工程编码 */
    @Excel(name = "工程编码")
    private String wkNo;

    /** 工程名称 */
    @Excel(name = "工程名称")
    private String wkName;


    /** 工程备注 */
    @Excel(name = "工程备注")
    private String wkRemark;

    /** 状态 */
    @Excel(name = "状态", readConverterExp = "0正常,1停用,2删除")
    private Integer wkStaus;

    /** 产品数 */
    @Excel(name = "产品数")
    private Integer wkProductCount;

    public Long getWkId() {
        return wkId;
    }

    public void setWkId(Long wkId) {
        this.wkId = wkId;
    }

    public String getWkNo() {
        return wkNo;
    }

    public void setWkNo(String wkNo) {
        this.wkNo = wkNo;
    }

    public String getWkName() {
        return wkName;
    }

    public void setWkName(String wkName) {
        this.wkName = wkName;
    }

//    public Long getWkSysId() {
//        return wkSysId;
//    }
//
//    public void setWkSysId(Long wkSysId) {
//        this.wkSysId = wkSysId;
//    }

    public String getWkRemark() {
        return wkRemark;
    }

    public void setWkRemark(String wkRemark) {
        this.wkRemark = wkRemark;
    }

    public Integer getWkStaus() {
        return wkStaus;
    }

    public void setWkStaus(Integer wkStaus) {
        this.wkStaus = wkStaus;
    }

    public Integer getWkProductCount() {
        return wkProductCount;
    }

    public void setWkProductCount(Integer wkProductCount) {
        this.wkProductCount = wkProductCount;
    }

    public static void main(String[] args) {
        Work work = new Work();
        work.setWkName("朱敏测试工程");
        work.setWkNo("TESTZM07");
        work.setWkRemark("朱敏测试remark");
        System.out.println(JSON.toJSONString(work));
    }
}
