package com.gqy.document.mapper;

import com.gqy.document.domain.DocumentCategory;

import java.util.List;

public interface DocumentCategoryMapper {

    /**
     * 搜索文档分类列表
     *
     * @param category 查询条件对象,包含:
     *        name: 分类名称(模糊匹配)
     *        status: 状态(5-使用中 6-已停用)
     * @return List<DocumentCategory> 文档分类列表
     */
    List<DocumentCategory> search(DocumentCategory category);

}
