package com.gqy.document.mapper;

import com.gqy.document.domain.Product;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 产品数据层
 */
public interface ProductMapper {
    /**
     * 查询产品列表
     */
    public List<Product> selectProductList(@Param("name") String name,
                                           @Param("category_id") Integer categoryId,
                                           @Param("brand_id") Integer brandId,
                                           @Param("supplier_id") Integer supplierId,
                                           @Param("status") Integer status,
                                           @Param("ids") List<Integer> ids);

}
