package com.gqy.document.mapper;

import com.gqy.document.domain.TemplateCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TemplateCategoryMapper {

    /**
     * 查询顶级分类列表
     */
    public List<TemplateCategory> selectTopCategoryList(@Param("name") String name,
                                                        @Param("status") Integer status);

    /**
     * 查询子分类列表
     */
    public List<TemplateCategory> selectChildCategoryList(@Param("parent_id") String parentId);

    /**
     * 查询子分类数量
     */
    public int selectChildCount(@Param("category_id") Integer categoryId);

}
